# Define your item pipelines here
#
# Don't forget to add your pipeline to the ITEM_PIPELINES setting
# See: https://docs.scrapy.org/en/latest/topics/item-pipeline.html


# useful for handling different item types with a single interface
from itemadapter import ItemAdapter
from json import dumps

class DoubanPipeline:
    def open_spider(self,spider):
        self.filename = open("doubanmovie.txt","w",encoding = 'utf-8')

    def process_item(self, item, spider):
        info = item['name']+item['star']+"\n"+item['content']+'\n'
        self.filename.write(info+"\n")
        return item
    def close_spider(self,spider):
        self.filename.close()